## Load default processing options
imports:
- { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
- { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
- { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

## Add configuration for the editor
## For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    contentsCss: "EXT:kitt3n_backend/Resources/Public/Assets/Css/rte.css"

    stylesSet:
    - { name: "Text hervorheben", element: "span", attributes: { class: "highlighttext" } }
    - { name: "Link als Button", element: "a", attributes: { class: "buttonlink" } }
    - { name: "Link mit Pfeil", element: "a", attributes: { class: "arrowlink" } }
    - { name: "Link mit PDF-Icon", element: "a", attributes: { class: "pdflink" } }

    format_tags: "p;h1;h2;h3;h4;h5;h6"

    toolbarGroups:
    - { name: styles, groups: [ format, styles ] }
    - { name: paragraph, groups: [ list, indent, blocks, align ] }
    - { name: document, groups: [ mode ] }
    - { name: tools, groups: [ tools ] }
    - "/"
    - { name: clipboard, groups: [ clipboard, cleanup, undo ] }
    - { name: basicstyles, groups: [ basicstyles ] }
    - { name: links, groups: [ links ] }
    - { name: editing, groups: [ selection, spellchecker ] }
    - { name: insert, groups: [ insert ] }

    justifyClasses:
    - text-left
    - text-center
    - text-right
    - text-justify

    extraPlugins:
    - justify

    removePlugins:
    - image

    removeButtons:
    - Anchor
    - Underline
    - Strike
    - Blockquote